SELECT Код_типа_шины INTO #TmpTable FROM Справочник_типов_шин
SET IDENTITY_INSERT Справочник_типов_шин ON

IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_шины = 1) INSERT INTO Справочник_типов_шин (Описание,Код_типа_шины) VALUES ('подвесной провод',1)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_шины = 2) INSERT INTO Справочник_типов_шин (Описание,Код_типа_шины) VALUES ('кабель в канале',2)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_шины = 3) INSERT INTO Справочник_типов_шин (Описание,Код_типа_шины) VALUES ('кабель на эстакаде',3)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_шины = 4) INSERT INTO Справочник_типов_шин (Описание,Код_типа_шины) VALUES ('кабель на подвесе',4)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_шины = 5) INSERT INTO Справочник_типов_шин (Описание,Код_типа_шины) VALUES ('шинопровод',5)
--IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_шины = 6) INSERT INTO Справочник_типов_шин (Описание,Код_типа_шины) VALUES ('',6)
--IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_шины = 7) INSERT INTO Справочник_типов_шин (Описание,Код_типа_шины) VALUES ('',7)
--IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_шины = 8) INSERT INTO Справочник_типов_шин (Описание,Код_типа_шины) VALUES ('',8)
--IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_шины = 9) INSERT INTO Справочник_типов_шин (Описание,Код_типа_шины) VALUES ('',9)

SET IDENTITY_INSERT Справочник_типов_шин OFF
DROP TABLE #TmpTable
